Package: ftp.debian.org
Severity: normal
User: ftp.debian....@packages.debian.org
Usertags: override

gtkglext is an unmaintained GTK+ 2 extension with OpenGL support,
superseded by the built-in GtkGLArea in GTK+ 3.16. It should not be used
in new code, and neither should its language bindings, some of which
are likely to be removed from Debian soon.

gtkgl2 is an independent implementation of more or less the same thing
(I think), again superseded by the built-in GtkGLArea in GTK+ 3.16
(which might even be based on the gtkgl2 code).

These packages have reverse-dependencies and so cannot be removed right
now, but they can at least move to oldlibs.

libgtkgl2.0-1:oldlibs/optional
libgtkgl2.0-dev:oldlibs/optional
libgtkglext1-dev:oldlibs/optional
libgtkglext1-doc:oldlibs/optional
libgtkglext1:oldlibs/optional
libgtkglextmm-x11-1.2-0v5:oldlibs/optional
libgtkglextmm-x11-1.2-dev:oldlibs/optional
python-gtkglext1:oldlibs/optional

Source packages: gtkgl2, gtkglext, gtkglextmm, python-gtkglext1

Thanks,
    smcv

Reply via email to